Subject: Fwd: UPDATE: Newbie bash user problem--interactive bash will not run my scripts!
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Cc: [email-masked]
Date: Fri, 1 Sep 2000 11:05:36 -0400

On Fri, Sep 01, 2000 at 07:27:12AM -0700, Michael L. Creech wrote:
> I was wondering if I could ask a favor? I'm having real trouble posting to
> the [email-masked]' newsgroup. My ISP's mailserver is
> considered a spam site and the other mail server seems to send into a black
> hole--no bounce but doesn't show up on the list. Could you forward the
> message following this one (titled 'UPDATE: Newbie...') to the newsgroup?
> I'd *really* appreciated it and I really appreciate your attempt to help me
> with my problem!! If you are too busy, I'll understand that too. Thanks
> again!

--- Forwarded message from "Michael L. Creech" <[email-masked]> ---

> Subject: UPDATE: Newbie bash user problem--interactive bash will not run my scripts!
> Date: Fri, 1 Sep 2000 07:27:29 -0700
> From: "Michael L. Creech" <[email-masked]>
> To: <[email-masked]>
> 
> Still no luck on working, but I have run some tests and have cygcheck
> diagnostics.
> BTW, I *do* have '.' (and also tried './') on my path in various places.
> 
> Here is the one-line (or two) shell script (test.sh) that I'm using as a
> test:
> 
>     echo "We did it!"
> 
> Here is the output calling this script (and me typing a comment before each
> invocation):
> 
> /cygdrive/c/Work/gc/distrib 320%># Only the one line shown in the script:
> /cygdrive/c/Work/gc/distrib 321%>test.sh
> BASH.EXE: ./test.sh: No such file or directory
> /cygdrive/c/Work/gc/distrib 322%># I've now added #!/bin/sh as first line to
> sc
> ript:
> /cygdrive/c/Work/gc/distrib 323%>test.sh
> We did it!
> /cygdrive/c/Work/gc/distrib 324%># I've now added #!/bin/bash as first line
> to
> script:
> /cygdrive/c/Work/gc/distrib 325%>test.sh
> We did it!
> /cygdrive/c/Work/gc/distrib 326%>
> 
> WHAT AM I MISSING FOLKS!?
> 
> 
> Here is my cygcheck info (cygcheck -s -v -r):
> 
> 
> Cygnus Win95/NT Configuration Diagnostics
> Current System Time: Thu Aug 31 14:48:53 2000
> 
> Win9X Ver 4.10 build 67766446  A
> 
> Path:	/usr/local/bin
> 	/usr/bin
> 	/usr/bin
> 	.
> 	/cygdrive/c/WORK/JAVA/JDK1.2.2/BIN
> 	/cygdrive/c/WINDOWS
> 	/cygdrive/c/WINDOWS
> 	/cygdrive/c/WINDOWS/COMMAND
> 
> SysDir: C:\WINDOWS\SYSTEM
> WinDir: C:\WINDOWS
> 
> HOME = `/cygdrive/c/mike'
> MAKE_MODE = `unix'
> PWD = `/cygdrive/c/Work/gc/distrib'
> USER = `default'
> 
> !C: = `C:\tools\Cygwin\bin'
> BLASTER = `A220 I5 D1 H5 P330 T6'
> BO = `c:\Work\BlueOak'
> BOC = `c:\Work\BlueOak\com\blueoak'
> BOHOME = `c:\Work\BlueOak'
> CLASSPATH = `c:\APPS\PHOTOD~1.1\ADOBEC~1'
> CM = `c:\Work\ContactMap'
> CMC = `c:\Work\ContactMap\com\att\research\contactmap'
> CMD = `c:\Work\ContactMap\docs'
> CMDLINE = `bash --login -i'
> CMHOME = `c:\Work\ContactMap'
> COMSPEC = `C:\COMMAND.COM'
> CTSYN = `C:\WINDOWS'
> GC = `c:\Work\gc'
> GCC = `c:\Work\gc\com\agilent\labs\gc'
> GCHOME-TEST = `c:\temp\gc-src0.04'
> GCHOME = `c:\Work\gc'
> HOSTNAME = `COOL_BREEZE'
> HOSTTYPE = `i586'
> JAVADOCHOME = `c:/work/java/jdk1.3/bin'
> JDKHOME1 = `c:\work\java\jdk1.1.8'
> JDKHOME = `c:\work\java\jdk1.2.2'
> MACHTYPE = `i586-pc-cygwin'
> OLDPWD = `/cygdrive/c/Work/gc/distrib'
> OSTYPE = `cygwin'
> PROMPT = `$p$g'
> PS1 = `\w \!%>'
> SHELL = `/bin/sh'
> SHLVL = `1'
> TEMP = `/cygdrive/c/windows/TEMP'
> TERM = `cygwin'
> WINBOOTDIR = `C:\WINDOWS'
> WINDIR = `C:\WINDOWS'
> _ = `/usr/bin/cygcheck'
> TZ = `PST8PDT7,M4.1.0/2,M10.5.0/2'
> 
> HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\MenuOrd
> er\Start Menu\&Programs\Cygnus Solutions
>   (default) = (unsupported type)
> HKEY_CURRENT_USER\Software\Cygnus Solutions
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2
>   (default) = `/cygdrive'
>   cygdrive flags = 0x00000020
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/
>   (default) = `C:\tools\Cygwin'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/bin
>   (default) = `C:/tools/Cygwin/bin'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\mounts v2\/usr/lib
>   (default) = `C:/tools/Cygwin/lib'
>   flags = 0x00000000
> HKEY_CURRENT_USER\Software\Cygnus Solutions\Cygwin\Program Options
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin
> HKEY_LOCAL_MACHINE\Software\Cygnus Solutions\Cygwin\mounts v2
> 
> a:  fd           N/A    N/A
> c:  hd  FAT32  43085Mb  18% CP    UN
> d:  cd           N/A    N/A
> e:  cd           N/A    N/A
> 
> C:\tools\Cygwin\bin  /usr/bin  user    textmode
> C:\tools\Cygwin\lib  /usr/lib  user    textmode
> C:\tools\Cygwin  /        user    textmode
> 
> Found: C:\tools\Cygwin\bin\bash.exe
> Found: C:\tools\Cygwin\bin\cat.exe
> Not Found: cpp (good!)
> Found: C:\tools\Cygwin\bin\find.exe
> Found: c:\WINDOWS\COMMAND\find.exe
> Warning: C:\tools\Cygwin\bin\find.exe hides c:\WINDOWS\COMMAND\find.exe
> Not Found: gcc
> Found: C:\tools\Cygwin\bin\gdb.exe
> Found: C:\tools\Cygwin\bin\ld.exe
> Found: C:\tools\Cygwin\bin\ls.exe
> Found: C:\tools\Cygwin\bin\make.exe
> Found: C:\tools\Cygwin\bin\sh.exe
> 
>    83k 2000/06/11 C:\tools\Cygwin\bin\cygitcl30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitcl30.dll" v0.0 ts=2000/6/10 20:34
>    35k 2000/06/11 C:\tools\Cygwin\bin\cygitk30.dll - os=4.0 img=1.0 sys=4.0
>                   "cygitk30.dll" v0.0 ts=2000/6/10 20:34
>   402k 2000/06/11 C:\tools\Cygwin\bin\cygtcl80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtcl80.dll" v0.0 ts=2000/6/10 20:30
>     5k 2000/06/11 C:\tools\Cygwin\bin\cygtclpip80.dll - os=4.0 img=1.0
> sys=4.0
>    10k 2000/06/11 C:\tools\Cygwin\bin\cygtclreg80.dll - os=4.0 img=1.0
> sys=4.0
>                   "cygtclreg80.dll" v0.0 ts=2000/6/10 20:30
>   639k 2000/06/11 C:\tools\Cygwin\bin\cygtk80.dll - os=4.0 img=1.0 sys=4.0
>                   "cygtk80.dll" v0.0 ts=2000/6/10 20:34
>   586k 2000/08/04 C:\tools\Cygwin\bin\cygwin1.dll - os=4.0 img=1.0 sys=4.0
>                   "cygwin1.dll" v0.0 ts=2000/8/3 17:53
>     Cygwin DLL version info:
>         dll major: 1001
>         dll minor: 4
>         dll epoch: 19
>         dll bad signal mask: 19005
>         dll old termios: 5
>         api major: 0
>         api minor: 26
>         shared data: 3
>         dll identifier: cygwin1
>         mount registry: 2
>         cygnus registry name: Cygnus Solutions
>         cygwin registry name: Cygwin
>         program options name: Program Options
>         cygwin mount registry name: mounts v2
>         build date: Thu Aug 3 20:53:46 EDT 2000
>         CVS tag: cygwin-1-1-4
>         shared id: cygwin1S3
> 
> Use -h to see help about each section
> 

--- End forwarded message ---

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]